# ANTS-Hub - Copyright (C) Entr'ouvert

import django.contrib.admin.options
import django.contrib.admin.widgets
from django.contrib import admin

from ants_hub.admin import site

from . import models


class RaccordementAdmin(admin.ModelAdmin):
    list_display = ['name', 'short_apikey']
    search_fields = ['name']

    def short_apikey(self, instance):
        return instance.apikey[:4] + '…'

    short_apikey.short_description = 'API key'


class ConfigAdmin(admin.ModelAdmin):
    list_display = ['key', 'value']


django.contrib.admin.options.FORMFIELD_FOR_DBFIELD_DEFAULTS.update(
    {
        models.CharField: {
            'widget': django.contrib.admin.widgets.AdminTextInputWidget,
        },
        models.URLField: {
            'widget': django.contrib.admin.widgets.AdminURLFieldWidget,
        },
    }
)

site.register(models.Config, ConfigAdmin)
site.register(models.Raccordement, RaccordementAdmin)
site.register(models.Collectivite)
site.register(models.Lieu)
site.register(models.Plage)
site.register(models.RendezVous)
